Bug 643963 - Add search filter to LDAP Groups -> Role mapping page
Add search filter to LDAP Groups -> Role mapping page
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Simeon Pinder
Mike Foley
: FutureFeature
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2010-10-18 12:31 EDT by Charles Crouch
Modified: 2015-02-01 18:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:19:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2010-10-18 12:31:52 EDT
When associating an LDAP group with a JON role, if you have a lot of LDAP groups defined there is no nice way to filter them, you just have to page through the results ordered by group name until you find the one you want. We should let people search/filter to make this process easier
Comment 2 Simeon Pinder 2010-11-02 13:59:53 EDT
This is fixed in master >= 575, 
with commit hash: f143dd803c1add3ec05aec98421ac5feaf4dbbd2

ListGrid interactively sorts all available LDAP groups based on case insensitive string matches with group names.
Comment 3 Sunil Kondkar 2011-05-30 04:15:12 EDT
Verified on build101 (Version: 4.1.0-SNAPSHOT Build Number: 712d0e1)

The Roles->LDAP groups tab has a search text box where user can filter the ldap groups. Verified the case insensitive group name search.
Marking as verified.
Comment 4 Heiko W. Rupp 2013-09-02 03:19:13 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.